#include <Tracer.h>

#include "DirEntryFactory.h"
#include "DirEntryImplementation.h"

DirEntryFactory::DirEntryFactory() { PROC ENDPROC }

static DirEntryFactory * initDirEntryFactory()
{
  PROC
  static bool init = true;
  if(init){
    init = false;
    ALTRETURNV(new DirEntryFactory);
  } else {
    ALTRETURNV(dirEntryFactory);
  }
  ENDPROC
}

DirEntryFactory * dirEntryFactory = initDirEntryFactory();

DirEntry * DirEntryFactory::dirEntry(const string name) const
{
  PROC
  RETURN(new DirEntryImplementation(name));
}
