#include <string>
#include <iostream>
#include <DirEntry.h>
#include <DirEntryFactory.h>
#include <vector>
#include <cassert>

int main (int argc, char * argv[]) {
  vector<DirEntry *> lde;
  for(int i = 0; i < argc; i++){
    DirEntry * d = dirEntryFactory->dirEntry(argv[i]);
    lde.push_back(d);
  }
  for(unsigned int i = 0 ; i < lde.size(); i++){
    DirEntry * a = dirEntryFactory->dirEntry("");
    a = lde[i];
    cout << "Original " << *lde[i] << endl;
    cout << "Copy     " << *a << endl;

    assert(a == lde[i]);

    lde[i]->sign();
    a = lde[i];
    cout << "Original " << *lde[i] << endl;
    cout << "Copy     " << *a << endl;

    assert(a == lde[i]);
  }
  
}
