! $Id: testaddcolumnoverwrite.f90,v 1.4 1999/12/06 16:28:15 pvideler Exp $

program testaddcolumnoverwrite

 use saslib
 use sasdal

 implicit none 

 type(DataSetT)   :: set
 type(TableT)     :: tbl
 type(ColumnT)    :: coli8, coli16, coli32, colr32, colr64


 set = dataSet('testset.ds', create)
 tbl = addTable(set, 'mytbl', 3, 'table with 3 rows')

 ! add columns using addColumnOverwrite()
 coli8  = addColumnOverwrite(tbl, 'COL1', integer8, 'unit1') 
 coli16 = addColumnOverwrite(tbl, 'COL2', integer16) 
 coli32 = addColumnOverwrite(tbl, 'COL3', integer32, 'unit2') 
 colr32 = addColumnOverwrite(tbl, 'COL4', real32) 
 colr64 = addColumnOverwrite(tbl, 'COL5', real64) 

 ! add already existing columns
 coli8  = addColumnOverwrite(tbl, 'COL1', integer8) 
 coli16 = addColumnOverwrite(tbl, 'COL2', integer16) 
 coli32 = addColumnOverwrite(tbl, 'COL3', integer32) 
 colr32 = addColumnOverwrite(tbl, 'COL4', real32) 
 colr64 = addColumnOverwrite(tbl, 'COL5', real64) 

 call release (set)

end program 
