program testcolumndelete
  use dal
  implicit none 

  type(DataSetT)   :: set
  type(TableT)     :: tbl
  type(ColumnT)    :: col, col2

  integer(kind=int32), pointer, dimension(:) :: p1, p2
  integer            :: i
  integer, parameter :: nrows=10

  set = dataSet('spr.ds', create)
  tbl = addTable(set, 'mytbl', nrows)

  col = addColumn(tbl, 'mycol', integer32)
  p1 => int32data(col)
  p1 = (/(i, i=0, nrows-1, 1)/)
  call copyColumn(tbl, col, 'DUMMY')
  call release(col)

  col2= column(tbl, 'DUMMY')
  p2 => int32data(col2)
  p2=0
  call release(col2)      ! Not doing this release causes a segmentation fault
  call deleteColumn(tbl, 'DUMMY')

  call release (set)

end program 
