//
// XMM Science Analysis System
//
// Giuseppe Vacanti (cosine & European Space Agency) 
// April 07, 2000
//
#include <Dal.h>
#include <SasDalUtils.h>
int main(){
  DataSet *s = dataSetServer->open("finalize.ds", Dal::Create);
  Table *t = s->addTable("table", 0);
  Array *a = s->addArray("array", Dal::Real64, Dal::zero);
  *t->addAttribute("tab") = "tab";
  *a->addAttribute("arr") = "arr";
  *s->addAttribute("at1") = "abc";
  *s->addAttribute("at2") = 123;
  SasDalUtils::finalize(s);
  dataSetServer->close(s);
}
  
