! $Id: testmoveattribute.f90,v 1.2 1999/12/06 16:28:16 pvideler Exp $

program testmoveattribute

 use saslib
 use sasdal

 implicit none 

 type(DataSetT)   :: set
 type(TableT)     :: tbl, tbl2

 set  = dataSet('testset.ds', create)
 tbl  = addTable(set, 'TABLE1', 3, 'A table with 3 rows')
 tbl2 = addTable(set, 'TABLE2', 3, 'A table with 3 rows')

 call setAttribute(tbl,"TESTING", 137,"pvs","one hunderd thirty seven")

 call moveAttribute(attribute(tbl,"TESTING"), attributable(set))

 if       (hasAttribute(tbl, "TESTING")) call error("err1","Attribute should not be present")
 if (.not. hasAttribute(set, "TESTING")) call error("err2","Attribute should be present")

 ! test moveAllAttributes 

 call setAttribute(tbl,"TEST1",10,"pvs","attribute one")
 call setAttribute(tbl,"TEST2",20,"pvs","attribute two")
 call setAttribute(tbl,"TEST3",30,"pvs","attribute three")

 call moveAllAttributes(attributable(tbl), attributable(set))

 if       (hasAttribute(tbl, "TEST2")) call error("err3","Attribute should not be present")
 if (.not. hasAttribute(set, "TEST2")) call error("err4","Attribute should be present")

 ! test copyAllAttributes

 call copyAllAttributes(attributable(set), attributable(tbl2))

 if (.not. hasAttribute(tbl2, "TEST2")) call error("err5","Attribute should be present")
 if (.not. hasAttribute(set,  "TEST2")) call error("err6","Attribute should be present")

 call release (set)

end program 




