! $Id: testnotnear.f90,v 1.1 1998/10/13 15:15:11 pvideler Exp $

program testNotNear

 use saslib

 implicit none 

! using default value notNear_epsilon= 1e-6 (relative difference) 

! test with default setting for relative difference
 if ( notNear( 1e30, 1.e30 -1    ))               call error('testje')
 if ( notNear( (/ 1., 2./) ,  (/ 1., 2.0000001 /) )) call error('might pass')

 ! these must fail. note .NOT.
 if (.NOT. notNear( (/ 1., 2./) ,  (/ 1., 2.0001 /) )) call error('must fail')
 if (.NOT. notNear( (/ 1., 2./) ,  (/ 1., 2., 3. /) )) call error('must fail')

 ! set to lower accuracy for relative difference
 notNear_epsilon = 1.e-1
 if ( notNear( (/ 1., 2./) ,  (/ 1., 2.001 /) )) call error('should pass')

  ! set to higher accuracy for relative difference
  notNear_epsilon = 1.e-6
  if ( notNear( (/ 1., 2./) ,  (/ 1., 2.000001 /) )) call error('should pass')
  notNear_epsilon = 1.e-7
  if (.NOT. notNear( (/ 1., 2./) ,  (/ 1., 2.000001 /) )) call error('should fail')

end program 
